Subject: Re: [dnsext] Draft: WGLC draft-ietf-dnsext-dns-tcp-requirements

From: Alfred Hönes <[email-masked]>
Date: Fri, 19 Feb 2010 21:13:15 +0100 (MEZ)

Dean,

You wrote:
> ...
>
> However there remain two related unresolved complaints:
>
> 1. The IETF has known for many years that TCP is not stable under
> Anycast conditions, but has covered up that fact through threats,
> intimidation, and censorship to perpetuate a fraud conducted by sale of
> Root and TLD anycast services.
>
> 2. The IETF is a government consultant to the Department of Commerce
> IANA function operated by ICANN on the subject of operation of Root DNS
> servers.  The IETF has knowingly deceived the government about the
> stability of TCP DNS on Anycast Root DNS servers.
>
> Dean Anderson
> IETF DNSEXT participant
> AV8 Internet, Inc

May I suggest we return to the principles putting emphasis on
running code?  Warming up old stories doesn't help in practice.
We need facts.

Opinions vary on whether there once has been a problem in practice.
There _may_ have been significant advances in running code,
in the interim.  Who knows for sure?
Both local anycast solutions (load balancer technology) and
routing technology and performance have evolved.

Currently, the biggest experiment ever seen to challenge anycast
DNS/TCP behavior *in practice* has started (DURZ deployment).
We do not need to escape to abstract claims any more;
we should *observe* and measure -- yes, we can (now)!

The gradual increase in TCP load on the root and TLDs already
using DNSSEC gives *all* parties a reasonable chance to provide
fresh evidence of current behavior.

The root server operators show their figures.
Many TLD operators show their figures.
DNS-OARC colects and consolidates data.
If you believe that notwithstanding current technology and running
code your concerns still are valid _and_ you do not trust these
figures, you would best serve your own interest and the interest
of the Internet at large if you started monitoring and try to
provide evidence; I'm sure other stakeholders (operators of large
recursive nameservers, for instance) will have a basic interest in
evidence of problems, *if they exists*, and will certainly collect
data on their own.

Everybody is invited to contribute.

The raw data need to be analysed and failure classes and reasons
determined.  That are operational topics not of genuine interest
for the namedroppers list.

As long as there is no reasonable evidence that there indeed is a
problem at the *protocol level* *today*, I suggest that discussion
of measurement results and analysis be carried out on DNSOP.
Thanks!

Kind regards,
  Alfred.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

---

From: Paul Vixie <[email-masked]>
Date: Fri, 19 Feb 2010 21:47:47 +0000

> From: Alfred =?hp-roman8?B?SM5uZXM=?= <[email-masked]>
> Date: Fri, 19 Feb 2010 21:13:15 +0100 (MEZ)
> 
> Dean,
> 
> You wrote:
> > ...
> ...

please don't feed the trolls.